<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Css|Web</title>
    <!-- internal style -->
    <style>
        /* universal selector */
        *{
            color: blueviolet;
        }
        /* elementname selector */
        h2{
            color: rgb(77, 77, 206);
        }
        h3{
            color: blue;
        }
        /* class seletor */
        .heading3{
            color: aqua !important;
        }
        #demo{
            color: gold;
        }

        [title="welcome"]{
            color: yellow;
        }

        .text-green{
            color: green;
        }
        /* grounping selection */
        h1,h2{
            font-size: 40px;
        }
        /* combinator selector */
        div > p{
            font-family: 'Courier New', Courier, monospace;
        }
        /* pseudo */
        p:hover{
            color: black;
            /* font-size: 40Px; */
        }
        p::first-letter{
            font-weight: bolder;
            font-size: 50px;
        }
        

    </style>
</head>
<body>
    <h1 class="text-green" title="welcome"> ថ្ងៃនេះរៀន CSS </h1>
    <h2 class="text-green"> Heading 2 </h2>
    <h3 class="heading3" id="demo" style="color: green;">  Testing class seletor ( . )</h3>
    <!-- combinator selector -->
    <div>
        <p> Paragraph in Div </p>
        <article>
            <p> Paragraph nested div</p>
        </article>
    </div>
    <p> Paragraph outside Div</p>
</body>
</html>